<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*, m05bBD.m05bDescripcion, m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
	
<head>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bBusqDescrip.js"></script>
		<%
			String tabla, codigo, desc="", modelo;

			tabla = request.getParameter("Tabla").trim();
			codigo = request.getParameter("Codigo");
			if (codigo.equals("***"))
				codigo="";
			else if (tabla.equals(m05bConstantes.DESC_COLORES)) {
				if (codigo.length()==1)
					codigo = "00" + codigo;
				else if (codigo.length()==2)
					codigo = "0" + codigo;
			}
			else if (tabla.equals(m05bConstantes.DESC_ESTACIONESITV)) {
				if (codigo.length()==1)
					codigo = "0" + codigo;
			}			
			modelo = request.getParameter("Modelo");
			if (modelo==null)
			   modelo="";
			if (modelo.equals("null")||modelo.equals("undefined"))
			   modelo="";   
			

		%>

		<% if (tabla.equals(m05bConstantes.DESC_COLORES)) {   %>
				<title><%= resTit.getString("titMtoColores")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSGASTOS)) { %>
				<title><%= resTit.getString("titMtoCptosGastos")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSTASAS)) { %>
				<title><%= resTit.getString("titMtoCptosTasas")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_DESTINOSBAJA)) { %>
				<title><%= resTit.getString("titMtoDestBaja")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_ESTACIONESITV)) { %>
				<title><%= resTit.getString("titMtoEstacionesITV")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_MARCAS)) { %>
				<title><%= resTit.getString("titMtoMarcas")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_MODALIDADES)) { %>
				<title><%= resTit.getString("titMtoModalidades")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_INCIDENCIAS)) { %>
				<title><%= resTit.getString("titMtoIncidencias")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_RANGOS)) { %>
				<title><%= resTit.getString("titMtoRangos")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_UBICACIONES)) { %>
				<title><%= resTit.getString("titMtoUbicaciones")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_REGADQUISICION)) { %>
				<title><%= resTit.getString("titMtoRegAdquis")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_SITUACIONES)) { %>
				<title><%= resTit.getString("titMtoSituaciones")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_SIT_TARJETAS)) { %>
				<title><%= resTit.getString("titMtoSitTarjetas")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_RAMAS)) { %>
				<title><%= resTit.getString("titMtoRamas")%></title>
		<%	} %> 
</head>

<BODY style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onkeydown="" onunload="document.body.style.cursor='wait';">
<div class="popup" id="capaDesc" >
</div>
	
  <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas

	urlIdioma = "<%=m05bConstantesPaginas.MTO_DESCRIPCIONES%>?Tabla=<%=tabla%>&Codigo=<%=codigo%>&Mensaje=false";

	<%	if (tabla.equals(m05bConstantes.DESC_COLORES))  { %>
				detPadre = '<%=resCM.getString("cmRelColores")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_COLORES%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoColores")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSGASTOS)) { %>
				detPadre = '<%=resCM.getString("cmRelCptosGastos")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_CONCGASTOS%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoCptosGastos")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSTASAS)) { %>
				detPadre = '<%=resCM.getString("cmRelCptosTasas")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_CONCTASAS%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoCptosTasas")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_DESTINOSBAJA)) { %>
				detPadre = '<%=resCM.getString("cmRelDestBaja")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_DESTINOSBAJA%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoDestBaja")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_ESTACIONESITV)) { %>
				detPadre = '<%=resCM.getString("cmRelEstacionesITV")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_ITV%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoEstacionesITV")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_MARCAS)) { %>
				detPadre = '<%=resCM.getString("cmRelMarcas")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_MARCAS%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoMarcas")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_MODALIDADES)) { %>
				detPadre = '<%=resCM.getString("cmRelModalidades")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_MODALIDADES%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoModalidades")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_SITUACIONES)) { %>
				detPadre = '<%=resCM.getString("cmRelSituaciones")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_SITUACIONES%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoSituaciones")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_INCIDENCIAS)) { %>
				detPadre = '<%=resCM.getString("cmRelIncidencias")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_INCIDENCIAS%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoIncidencias")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_RANGOS)) { %>
				detPadre = '<%=resCM.getString("cmRelRangos")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_RANGOS%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoRangos")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_UBICACIONES)) { %>
				detPadre = '<%=resCM.getString("cmRelUbicaciones")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_UBICACIONES%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoUbicaciones")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_REGADQUISICION)) { %>
				detPadre = '<%=resCM.getString("cmRelRegAdquis")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_REGIMENES%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoRegAdquis")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_SIT_TARJETAS)) { %>
				detPadre = '<%=resCM.getString("cmRelSitTarjetas")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_SITTARJETAS%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoSitTarjetas")%>';
		<%	} else if (tabla.equals(m05bConstantes.DESC_RAMAS)) { %>
				detPadre = '<%=resCM.getString("cmRelRamas")%>';
				rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_RAMAS%>" + "'>\\"+detPadre+"</a>";
				detActual = '<%=resCM.getString("cmMtoRamas")%>';
 	    <%	} %>
				//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formDescripciones" METHOD="POST">
					<%
					String sql = "", mensaje="", accion, whereDesc="";

					m05bDescripcion descripcion = null;
					mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
					accion=request.getParameter("Accion")==null?"":request.getParameter("Accion");
					
				/*	if ( 	( (codigo.equals("")) || (codigo==null) ) 
							&& (!(mensaje.equals("Existe"))) ) {*/
					if ( accion.equals(m05bConstantes.ACC_INSERTAR)  
							&& (!(mensaje.equals("Existe"))) ) {
					
						//codigo="";  
						desc="";
						accion=m05bConstantes.ACC_INSERTAR;
				 	    session.removeAttribute("m05bDescripcion");
					}
					else if (!modelo.equals("")){
						codigo= "";
						accion=m05bConstantes.ACC_INSERTAR;
						session.removeAttribute("m05bDescripcion");
					}
					else   { 
						accion=m05bConstantes.ACC_ACTUALIZAR;
						descripcion = (m05bDescripcion)session.getAttribute("m05bDescripcion");
					}
					
					PrintWriter outMsg= response.getWriter();
					if (mensaje.equals(m05bConstantes.MSG_OK)) {
					    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
					}
					else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
						accion=m05bConstantes.ACC_INSERTAR;
					    outMsg.println("<script>alert(dameAlerta(idioma, 27));</script>");
					}
					else if (mensaje.equals(m05bConstantes.MSG_INTEGRIDAD)){
						accion=m05bConstantes.ACC_INSERTAR;
					    outMsg.println("<script>alert(dameAlerta(idioma, 5));</script>");
					}					
					outMsg.close();
					if (descripcion == null){
						descripcion = new m05bDescripcion();
						session.setAttribute("m05bDescripcion",descripcion);
					}
					desc=descripcion.getDes_descripcion();
					if (desc==null)
						desc="";
					String descEu=descripcion.getDes_descripcionEu();
					if (descEu==null)
						descEu="";	
					//Preparo la where de la comunicacion AJAX de la consulta
					whereDesc = m05bConstantes.COL_99_CODTABLA+" = "+tabla;
					%>
					  <TABLE class="general">
					    <tr> 
					    <% if ( (tabla.equals(m05bConstantes.DESC_MARCAS))
					    		&& (!(modelo.equals(""))) && ( accion.equals(m05bConstantes.ACC_INSERTAR)) ) {
					    %>
						      <td width="80%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:history.back();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(<%=tabla%>, Codigo.value, '<%=accion%>','<%=modelo%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
					    <% }  else {%>
						      <td width="90%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(<%=tabla%>, Codigo.value,'<%=m05bConstantes.ACC_ELIMINAR%>','');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />						      
						      </td>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(<%=tabla%>, Codigo.value, '<%=accion%>','<%=modelo%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
					    <% }  %>
						</tr>
					  </TABLE>
				
			
						  <% if ( (codigo.equals("")) || (mensaje.equals("Existe")) ) {  %>
						       <% if (tabla.equals(m05bConstantes.DESC_REGADQUISICION)){%>
						      		<p align="left" > <label class="inputFieldTitle"><%= res.getString("etCodigo")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="30" maxlength="20"/> </p>
						       <% }else{%>
						       		<p align="left"  >  <label class="inputFieldTitle"><%= res.getString("etCodigo")%></label><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="30" maxlength="6"/> </p>
						  	   <% }%>
						  <% } 
						  	else  { %>
						       <p align="left"  >  <label class="inputFieldTitle"><%= res.getString("etCodigo")%></label><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=codigo%>" size="30" maxlength="50"/> </p>
					      <%  }  %>
					      <p align="left"  id="td1"> <label class="inputFieldTitle"><%= res.getString("etDescripcion")%></label>
					      	  <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=desc%>" size="88" maxlength="100" onkeypress="javascript:controlaCapa(event,this,'td1','table1','<%=m05bConstantes.TAB_DESCRIPCIONES%>','<%=m05bConstantes.COL_99_DESCRIPCION%>','<%=whereDesc%>');"/>
					      	   </p>
					      	<% if (!tabla.equals(m05bConstantes.DESC_MARCAS)) { %>
					       <p align="left"  id="td1"> <label  class="inputFieldTitle"><%= res.getString("etDescripcionEu")%></label>
					      	  <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="DescripcionEu" VALUE="<%=descEu%>" size="88" maxlength="100" onkeypress="javascript:controlaCapa(event,this,'td1','table1','<%=m05bConstantes.TAB_DESCRIPCIONES%>','<%="E"+m05bConstantes.COL_99_DESCRIPCION%>','<%=whereDesc%>');"/>
					      	   </p>
					      	   <% } else{%>
					      	   <INPUT style="display:none" TYPE="TEXT" NAME="DescripcionEu" VALUE="<%=descEu%>" size="88" maxlength="100" onkeypress="javascript:controlaCapa(event,this,'td1','table1','<%=m05bConstantes.TAB_DESCRIPCIONES%>','<%="E"+m05bConstantes.COL_99_DESCRIPCION%>','<%=whereDesc%>');"/>
					      	   <% }%>
					
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language='javascript'>
var accion=<%=accion%>
     function fncGrabar(tabla, codigo, accion, modelo) {
     	 var docu = document.formDescripciones;
     	
 	 	 if(docu.Codigo.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Codigo.focus();
			return;
		 }else if ( accion!="U"&&(tabla =="12") && ((codigo.toUpperCase() == "A") || (codigo.toUpperCase() == "OT")) ) {
     	 	 alert(dameAlerta(idioma, 17));
     	 } else if ( accion!="U"&&(tabla =="9") && 
    	 			((codigo.toUpperCase() == "A") || (codigo.toUpperCase() == "B") 
     	 			|| (codigo.toUpperCase() == "C") || (codigo.toUpperCase() == "P")) ) {
     	 	 alert(dameAlerta(idioma, 17));
     	 } else {
	     	 	if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')){
					alert(dameAlerta(idioma, 1));
					docu.Codigo.focus();
					return;
				}
				
				if(docu.Descripcion.value==""||(tabla!="7" && docu.DescripcionEu.value=="")){
					alert(dameAlerta(idioma, 0));
					docu.Descripcion.focus();
					return;
				}
				if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')
						||(tabla!="7" &&(existeCaracter(docu.DescripcionEu.value,"\'")||existeCaracter(docu.DescripcionEu.value,'\"')))){
					alert(dameAlerta(idioma, 1));
					docu.Descripcion.focus();
					return;
				}
				
				if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
					if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
						return;
				}
	     	 	
		        document.formDescripciones.action="m05bGrabarDescripcionServlet?Tabla=" + tabla + "&Codigo=" + codigo + "&Accion=" + accion + "&Modelo=" +modelo;
		        document.formDescripciones.submit();
     	 }
	 }  // Fin funcion fncGrabar
							  
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>